#!/bin/bash
set -e
pegasus_lite_version_major="4"
pegasus_lite_version_minor="8"
pegasus_lite_version_patch="0dev"
pegasus_lite_enforce_strict_wp_check="true"
pegasus_lite_version_allow_wp_auto_download="true"

. pegasus-lite-common.sh

pegasus_lite_init

# cleanup in case of failures
trap pegasus_lite_signal_int INT
trap pegasus_lite_signal_term TERM
trap pegasus_lite_unexpected_exit EXIT

echo -e "\n########################[Pegasus Lite] Setting up workdir ########################"  1>&2
# work dir
export pegasus_lite_work_dir=$PWD
pegasus_lite_setup_work_dir

echo -e "\n##############[Pegasus Lite] Figuring out the worker package to use ##############"  1>&2
# figure out the worker package to use
pegasus_lite_worker_package

echo -e "\n##############[Pegasus Lite] Setting the xbit for executables staged ##############"  1>&2
# set the xbit for any executables staged
if [ ! -x pegasus-findrange-4.0 ]; then
    /bin/chmod +x pegasus-findrange-4.0
fi

set +e
job_ec=0
echo -e "\n######################[Pegasus Lite] Executing the user task ######################"  1>&2
pegasus-kickstart -n pegasus::findrange:4.0 -N j3 -R condorpool  -s f.c2=f.c2 -L blackdiamond -T 2017-08-15T18:09:02-07:00 ./pegasus-findrange-4.0 -a findrange -T 60 -i f.b2 -o f.c2
job_ec=$?

set -e


# clear the trap, and exit cleanly
trap - EXIT
pegasus_lite_final_exit

